package com.mosty.bkzx.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.mosty.base.model.dto.bkzx.XdxxQuery;
import io.swagger.annotations.ApiOperation;

import java.util.List;
import java.util.Map;

public interface XdxxService {

    @ApiOperation("根据身份证号查询行动信息列表")
    IPage<Map<String, Object>> queryXdxxBYSzfh(XdxxQuery dto);

    @ApiOperation("行动人员列表")
    IPage<Map<String, Object>> xdrylb(XdxxQuery dto);

    @ApiOperation("行动人员统计")
    List<Map<String, Object>> xdrytj(XdxxQuery dto);

    @ApiOperation("行动信息列表")
    IPage<Map<String, Object>>  xdxxlb(XdxxQuery dto);

    @ApiOperation("行动信息统计")
    List<Map<String, Object>> xdxxtj(XdxxQuery dto);
}
